/*
 * Bucket.h
 *
 *  Created on: Dec 17, 2013
 *      Author: brian
 */

#ifndef BUCKET_H_
#define BUCKET_H_

#include "GameObject.h"
#include <iostream>

using namespace std;

#include "SDL.h"

class Bucket : public GameObject
{
public:
	Bucket(int offset);

	void load(int x, int y, int width, int height, std::string  textureID);
  void draw(SDL_Renderer* pRenderer);
  void update();
  void clean();

private:
  int m_offset;
};



#endif /* BUCKET_H_ */
